%global varnishver 4.1.2
%global vbranch .v4.1
%global vabi 3.2
%global vabistrict 0d7404e


Summary: RFC6052 VMOD for Varnish
Name: vmod-rfc6052
Version: 0.1
Release: 3%{?vbranch}%{?dist}
License: Unlicense
Group: System Environment/Daemons
URL: https://github.com/toreanderson/libvmod-rfc6052
Source0: https://github.com/toreanderson/libvmod-rfc6052/archive/v%{version}.tar.gz#/lib%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Source tarball built like this:
#   wget https://github.com/toreanderson/libvmod-rfc6052/archive/v0.1.tar.gz
#   tar xvzf v0.1.tar.gz
#   cd libvmod-rfc6052-0.1
#   sed -i 's/trunk/0.1/;' configure.ac
#   mkdir src/tests
#   touch src/tests/notest.vtc
#   ./autogen.sh && ./configure && make && make dist 
   

Requires: varnish = %varnishver
Requires: varnishabi-%vabi
Requires: varnishabi-strict-%vabistrict

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: varnish = %varnishver
BuildRequires: varnish-libs-devel = %varnishver


%description
RFC6052 VMOD for Varnish


%prep
%setup -q -n lib%{name}-%{version}

%build
# Use prebuilt manpage. Remove this when building from a git checkout
export RST2MAN=/bin/true

%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

make 


%check
make check

%install
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

make install DESTDIR=%{buildroot} INSTALL="install -p"

# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'

# We explicitly add these later
rm -f %{buildroot}%{_docdir}/lib%{name}/LICENSE
rm -f %{buildroot}%{_docdir}/lib%{name}/README.rst


%clean
[ %{buildroot} != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{_libdir}/varnish*/vmods/
%if 0%{?el5}
%doc LICENSE
%else
%license LICENSE
%endif
%doc README.rst
%{_mandir}/man3/*.3*


%changelog
* Wed May 04 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.1-3
- Built agains varnish-4.1.2

* Mon Feb 08 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.1-2
- Use license macro also on epel6
- Built against varnish-4.1.1

* Fri Oct 23 2015 Ingvar Hagelund <ingvar@redpill-linpro.com> - 0.1-1
- Wrapped for fedora, loosely based on upstream specfile

* Mon Oct 19 2015 Tore Anderson <tore@redpill-linpro.com> - 0.1
- Initial version.
